# uninstall running

# 卸载模块移除叠加层缓存，如果模块卸载没有这脚本，否则有概率卸载了 恢复官方动画后充电后依然有图标缓存。
# 若动画有多个文件名(不是包名)的话，请在第10行括号内修改
# 如BsCharge1.apk，RedmagicCharge.apk，第九行括号里添加-o -iname '*可以简写的文件名*' 。 尽量填精准 可忽略大小写
remove_cache()
{
    local target_file
    local target_path="$1"
    for target_file in $(find $target_path -type f -iname '*bscharge*' -o -iname '*redmagic*' -o -iname '*rogcharge*') ; do
        (rm -f $target_file) &
    done
}

drc="/data/resource-cache"
dpc="/data/system/package_cache"
(remove_cache "$drc") & (remove_cache "$dpc") &
wait
